**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/24.2/expected-document-lists/remove-edl-matched-documents.md

# Remove EDL Matched Documents



Remove manually matched documents from EDL Items. You must have a security profile that grants the *Application: EDL Matching: Edit Document Matches* permission, and EDL Matched Document APIs must be enabled in your Vault. To enable this feature, contact [Veeva Support](https://support.veeva.com/hc/en-us).

<Endpoint path="/api/{version}/objects/edl_matched_documents/batch/actions/remove" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` (default) or `text/csv` |
| `Accept` | `application/json` (default) |
</FieldTable>

## Body Parameters {#body-parameters}

Expressed as JSON or CSV.

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The EDL Item `id` to match to documents. EDL Item records and their parent records must have a `status__v` of `active__v`. |
| `document_id` | The document `id` to match to an EDL Item. |
| `major_version_number__v` | The major version number of a document. You must also include `minor_version_number__v` to use this parameter. |
| `minor_version_number__v` | The minor version number of a document. You must also include `major_version_number__v` to use this parameter. |
| `remove_locked` | If set to `true`, removes a matched document from the EDL Item even if the EDL Item is locked to a specific steady state document version. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X POST -H 'Authorization: {SESSION_ID}' \
-H 'Content-Type: application/json' \
--data-raw '[
  {
      "id": "0EI000000003001",
      "document_id": "21",
      "major_version_number__v": 1,
      "minor_version_number__v": 0,
      "remove_locked": true
  },
    {
      "id": "0EI000000003001",
      "document_id": "22",
      "major_version_number__v": 0,
      "minor_version_number__v": 1,
      "remove_locked": true
  }
]'
'https://myvault.veevavault.com/api/v20.3/objects/edl_matched_documents/batch/actions/remove' \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": [
       {
           "responseStatus": "FAILURE",
           "errors": [
               {
                   "type": "INVALID_DATA",
                   "message": "Can not remove an automatically matched Document"
               }
           ],
           "id": "0EI000000003001",
           "document_id": "22",
           "major_version_number__v": "0",
           "minor_version_number__v": "1",
           "lock": "true"
       },
       {
           "responseStatus": "SUCCESS",
           "id": "0EI000000003001",
           "document_id": "21",
           "major_version_number__v": "1",
           "minor_version_number__v": "0",
           "lock": "true"
       }
   ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes a `SUCCESS` or `FAILURE` status and any applicable error messages for each matched document to remove from an EDL Item in the body of your request.



---

**Previous:** [Add EDL Matched Documents](/qualityone/vault-api/api-reference/24.2/expected-document-lists/add-edl-matched-documents)  
**Next:** [Security Policies](/qualityone/vault-api/api-reference/24.2/security-policies)